Bug 1414229 - [dev-preview-stg]Improper prompts about size on create pvc page
Summary: [dev-preview-stg]Improper prompts about size on create pvc page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Li Zhe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 05:50 UTC by Li Zhe
Modified: 2017-07-24 14:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Client-side validation for persistent volume claim limit ranges has been added to the web console. Now the min and max values for capacity are displayed in the "Create Storage" form, and you will not be able to submit the form with a value outside the range. If the min and max are the same, the field is read-only.
Clone Of:
: 1414465 (view as bug list)
Environment:
Last Closed: 2017-04-12 19:09:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0884 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.5 RPM Release Advisory 2017-04-12 22:50:07 UTC

Comment 1 Jessica Forrester 2017-01-18 15:13:01 UTC
Issue 1 is something we will look into fixing in the UI by only showing the units that fit within the limit range that exists, we will probably do client side validation of this based on the limit range as well.

Issues 2 and 3 are problems with the kube API server, I've opened
https://github.com/kubernetes/kubernetes/issues/40085
https://github.com/kubernetes/kubernetes/issues/40086
I will clone a separate bug to the kubernetes component to track those.

Comment 2 Jessica Forrester 2017-01-18 15:15:00 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1414465  will track issues 2 and 3

Comment 3 Jessica Forrester 2017-01-18 15:16:31 UTC
Moving this to OCP since it is not an issue specific to Online, it just surfaced in online because there are default limit ranges in place.

Comment 4 Jessica Forrester 2017-01-18 23:55:54 UTC
Fix to issue 1 went in with https://github.com/openshift/origin-web-console/pull/1134

Comment 5 Troy Dawson 2017-01-20 23:02:02 UTC
This has been merged into ocp and is in OCP v3.5.0.7 or newer.

Comment 6 Li Zhe 2017-01-22 06:42:18 UTC
Will check this when dev-preview-stg environment is upgraded to 3.5

Comment 7 Jessica Forrester 2017-01-23 13:38:43 UTC
@zhezli can you also verify it against OCP, the bug was in OCP and was not specific to Online, I'd rather not wait till stg env is updated to verify that this is fixed.

Comment 8 Jessica Forrester 2017-01-23 13:39:50 UTC
You can recreate the issue by using the same limit range in your project that is used for dev-preview-stg.  The main part is that the storage request min and max were equal and set to 1Gi

Comment 9 Li Zhe 2017-01-24 02:51:28 UTC
(In reply to Jessica Forrester from comment #8)
> You can recreate the issue by using the same limit range in your project
> that is used for dev-preview-stg.  The main part is that the storage request
> min and max were equal and set to 1Gi

Checked with OCP 3.5.0.7 , When storage request min and max are both set to 1G, on create pvc page, the size is set to 1G automatically and can not be changed.

Comment 12 Troy Dawson 2017-01-27 17:41:17 UTC
This has been merged into ocp and is in OCP v3.5.0.10 or newer.
Please re-test this on v3.5.0.10 or newer.  There was a problem with the merge in 3.5.0.7.

Comment 15 Li Zhe 2017-02-03 11:49:48 UTC
(In reply to Troy Dawson from comment #12)
> This has been merged into ocp and is in OCP v3.5.0.10 or newer.
> Please re-test this on v3.5.0.10 or newer.  There was a problem with the
> merge in 3.5.0.7.

See attachment please

Comment 19 errata-xmlrpc 2017-04-12 19:09:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0884


Note You need to log in before you can comment on or make changes to this bug.